<?php
$this->styles($this->html->style("/css/login_signup.css"));

if (isset($key))
{
	echo "Confirmation Link: ";
	echo $this->html->link("Link", array('controller' => 'signup',
										 'action' => 'confirm',
						     			 'args' => $key->key));
}
else
{
	$template = '<tr{:wrap}><td>{:label}</td><td>{:input}</td><td>{:error}</td></tr>';
	?>
	<?= $this->flashMessage->output(); ?>


	<div id="login_signup">
	<?= $this->form->create($user); ?>
		<table>
			<?= $this->form->field('username',
					array('template' => $template, 'id' => 's_username')) ?>
			<?= $this->form->field('newpass',
					array('template' => $template, 'id' => 's_password', 'label' => 'Password', 'type' => 'password')) ?>
			<?= $this->form->field('email',
					array('template' => $template, 'id' => 's_email')) ?>
		</table>
	<?= $this->form->submit('Signup!'); ?>
	<?= $this->form->end(); ?>
	</div>
<?php
}
?>
